--AH:ScriptId=aef093fa-627d-4f92-abe5-fc794bf92baf;3087

INSERT INTO [Tasks] ([Task_Id], [Task_Name], [Feed_Scopeable_Indicator])
VALUES (28, 'Feeds_AcceptPackagePromotions', 'Y') 
GO

INSERT INTO [Roles] ([Role_Name], [Role_Description], [FeedScopable_Indicator])
VALUES ('Promote Packages', 'Allows access to promote packages to a specified feed of the same feed type. Users granted this task should also be granted at least the View & Download Packages task for the source feed.', 'Y')
GO

 INSERT [RoleTasks] ([Role_Id], [Task_Id])
 SELECT R.[Role_Id], T.[Task_Id]
   FROM [Roles] R
   INNER JOIN [Tasks] T ON T.[Task_Name] IN ('Feeds_AcceptPackagePromotions', 'Feeds_AddPackage', 'Feeds_ViewFeed')
  WHERE R.[Role_Name] IN ('Promote Packages')

 INSERT [RoleTasks] ([Role_Id], [Task_Id])
 SELECT R.[Role_Id], T.[Task_Id]
   FROM [Roles] R
   INNER JOIN [Tasks] T ON T.[Task_Name] IN ('Feeds_AcceptPackagePromotions')
  WHERE R.[Role_Name] IN ('Administer', 'Manage Feed')