--AH:ScriptId=f76895d6-58c9-496b-8fb3-5241a04aa94c

CREATE TABLE [FeedUsageInstructions]
(
    [FeedUsageInstruction_Id] INT IDENTITY(1, 1) NOT NULL,
    [Feed_Id] INT NOT NULL,
    [FeedUsageInstruction_Name] NVARCHAR(50) NOT NULL,
    [FeedUsageInstruction_Instructions] NVARCHAR(MAX) NOT NULL,

    CONSTRAINT [PK__FeedUsageInstructions]
		PRIMARY KEY ([FeedUsageInstruction_Id]),

	CONSTRAINT [UQ__FeedUsageInstructions]
		UNIQUE NONCLUSTERED ([Feed_Id], [FeedUsageInstruction_Name]),

	CONSTRAINT [CK__FeedUsageInstructions]
		CHECK (RTRIM(LTRIM([FeedUsageInstruction_Name])) <> ''),

    CONSTRAINT [FK__FeedUsageInstructions_Feeds] 
        FOREIGN KEY ([Feed_Id]) 
        REFERENCES [Feeds] ([Feed_Id]) 
        ON DELETE CASCADE
)
