EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_GetUsersAndGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Users,UserGroups,Groups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the users and groups in the system, along with all the user''s groups in the system'
GO

IF OBJECT_ID('[Users_GetUsersAndGroups]') IS NOT NULL DROP PROCEDURE [Users_GetUsersAndGroups]
GO

CREATE PROCEDURE Users_GetUsersAndGroups
 AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Users]

	SELECT *
	  FROM [UserGroups]

  SELECT *
    FROM [Groups]

END
GO

GRANT EXECUTE ON [Users_GetUsersAndGroups] TO [ProGetUser_Role]
GO
